;-- TIME_STAMP   2020-04-28 18:44:12   v 0.1

#include <MsgBoxConstants.au3>
#include <Word.au3>

Opt('MustDeclareVars', 1)

; Create application object
Local $oWord = _Word_Create()
If @error Then Exit MsgBox($MB_SYSTEMMODAL, "Word UDF: _Word_DocPictureAdd Example", _
        "Error creating a new Word application object." & @CRLF & "@error = " & @error & ", @extended = " & @extended)
; Add a new empty document
Local $oDoc = _Word_DocAdd($oWord)
If @error Then Exit MsgBox($MB_SYSTEMMODAL, "Word UDF: _Word_DocPictureAdd Example", _
        "Error creating a new Word document." & @CRLF & "@error = " & @error & ", @extended = " & @extended)

; Insert a picture after the fourth word of the document
Local $oShape = _Word_DocPictureAdd($oDoc, @ScriptDir & '\Feb_2020_OK.jpg')
If @error Then Exit MsgBox($MB_SYSTEMMODAL, "Word UDF: _Word_DocPictureAdd Example", _
        "Error adding the picture to the document" & @CRLF & " @error = " & @error & ", @extended = " & @extended)
$oShape.ScaleWidth = 100
$oShape.ScaleHeight = 100
MsgBox($MB_SYSTEMMODAL, "Word UDF: _Word_DocPictureAdd Example", _
        "Picture has successfully been added after word 4 in the document.")

; Export the complete document as PDF
_Word_DocExport($oDoc, @ScriptDir & '\Feb_2020_OK.pdf', $WdExportFormatPDF)
_Word_DocClose($oDoc)